import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, u = Object.getOwnPropertyDescriptor, s = (i, e, o, r) => {
  for (var t = r > 1 ? void 0 : r ? u(e, o) : e, p = i.length - 1, a; p >= 0; p--)
    (a = i[p]) && (t = (r ? a(e, o, t) : a(t)) || t);
  return r && t && g(e, o, t), t;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--portugal", this.class = "c-pieIcon c-pieIcon--portugal", this.name = "IconFlagPortugal";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--portugal"><path fill="#6da544" d="M1 8a7 7 0 0 0 4.567 6.563L6.174 8l-.607-6.563A7 7 0 0 0 1 8"></path><path fill="#d80027" d="M15.002 8a7 7 0 0 0-9.435-6.563v13.126A7.002 7.002 0 0 0 15.002 8"></path><path fill="#ffda44" d="M5.567 10.434a2.434 2.434 0 1 0 0-4.868 2.434 2.434 0 0 0 0 4.868"></path><path fill="#d80027" d="M4.197 6.783v1.518a1.369 1.369 0 1 0 2.737 0V6.78H4.199z"></path><path fill="#eee" d="M5.567 8.76a.46.46 0 0 1-.456-.456v-.605h.913v.602a.46.46 0 0 1-.457.457z"></path></svg>`;
  }
};
s([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
s([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = s([
  h("icon-flag-portugal")
], l);
export {
  l as IconFlagPortugal
};
